classification
Title: PEP 466: backport hashlib changes
Type: enhancement Stage: resolved
Components: Extension Modules Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: 21304 Superseder:
Assigned To: Nosy List: alex, benjamin.peterson, christian.heimes, dstufft, giampaolo.rodola, gregory.p.smith, janssen, ncoghlan, pitrou, python-dev
Priority: normal Keywords: needs review, patch

Created on 2014-04-19 00:54 by ncoghlan, last changed 2014-08-28 13:42 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
backport-hashlib.diff alex, 2014-08-22 16:46
backport-hashlib.diff alex, 2014-08-23 02:29
Messages (10)
msg216827 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2014-04-19 00:54
Tracker issue for the hashlib PBKDF2 and algorithm availability details backport to 2.7 described in PEP 466.
msg216828 - (view) Author: Alex Gaynor (alex) * (Python committer) Date: 2014-04-19 00:55
issue21304 has the implementation of the PBKDF2 work.
msg216829 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2014-04-19 01:33
Let's dup this then.
msg216833 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2014-04-19 01:40
Rather #21304 should be a dep...
msg225683 - (view) Author: Alex Gaynor (alex) * (Python committer) Date: 2014-08-22 16:46
Uploaded patch adds the algorithm availability constants to the hashlib module.
msg225720 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2014-08-23 01:30
use a frozenset for algorithms_guaranteed.

in the docs under more algor... may be available make the two variables
link to their docs.  you might explicitly mention python 2.7.9 in that
paragraph.

you probably should use pystring_fromstring imstead of unicode given this
is 2.7.

On Fri, Aug 22, 2014 at 9:46 AM, Alex Gaynor <report@bugs.python.org> wrote:

>
> Alex Gaynor added the comment:
>
> Uploaded patch adds the algorithm availability constants to the hashlib
> module.
>
> ----------
> components: +Extension Modules
> keywords: +needs review, patch
> Added file: http://bugs.python.org/file36436/backport-hashlib.diff
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue21307>
> _______________________________________
>
msg225721 - (view) Author: Alex Gaynor (alex) * (Python committer) Date: 2014-08-23 02:29
New patch uses PyString_FromString.

To the other two points:

1) Python3 uses a mutable set for both of these, any reason for Python2 to be inconsistent?

2) The docs in Python3 don't have this link either, I'm trying to minimize the delta; if you think there should be a link I'd prefer it be done in python3, and then I can backport that as well.
msg225722 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2014-08-23 02:39
Keeping the delta small makes sense. I'd use frozenset in 3 as well but its
unimportant. LGTM.
msg225886 - (view) Author: Donald Stufft (dstufft) * (Python committer) Date: 2014-08-25 18:15
This Look good to me. +1
msg226023 - (view) Author: Roundup Robot (python-dev) Date: 2014-08-28 13:42
New changeset 3f73c44b1fd1 by Benjamin Peterson in branch '2.7':
PEP 466: backport hashlib algorithm constants (closes #21307)
http://hg.python.org/cpython/rev/3f73c44b1fd1
History
Date User Action Args
2014-08-28 13:42:29python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg226023

resolution: fixed
stage: needs patch -> resolved
2014-08-25 18:15:27dstufftsetmessages: + msg225886
2014-08-23 02:39:51gregory.p.smithsetmessages: + msg225722
2014-08-23 02:29:55alexsetfiles: + backport-hashlib.diff

messages: + msg225721
2014-08-23 01:30:02gregory.p.smithsetmessages: + msg225720
2014-08-22 16:46:19alexsetkeywords: + patch, needs review
files: + backport-hashlib.diff
messages: + msg225683

components: + Extension Modules
2014-04-19 04:34:53gregory.p.smithsetnosy: + gregory.p.smith
2014-04-19 01:40:18benjamin.petersonsetstatus: closed -> open
superseder: PEP 466: Backport hashlib.pbkdf2_hmac to Python 2.7 ->
messages: + msg216833

dependencies: + PEP 466: Backport hashlib.pbkdf2_hmac to Python 2.7
resolution: duplicate -> (no value)
2014-04-19 01:33:28benjamin.petersonsetstatus: open -> closed
superseder: PEP 466: Backport hashlib.pbkdf2_hmac to Python 2.7
resolution: duplicate
messages: + msg216829
2014-04-19 00:55:20alexsetmessages: + msg216828
2014-04-19 00:54:56ncoghlancreate